List assertions
curl --request GET \
--url https://{space}.{region}.api.niadra.com/v1/identity/assertions \
--header 'Authorization: Bearer <token>'import requests
url = "https://{space}.{region}.api.niadra.com/v1/identity/assertions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{space}.{region}.api.niadra.com/v1/identity/assertions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"assertion_id": "0192f7a1-5b10-7c3a-8e21-4d2f8a4c0e06",
"handle_a": "0192f7a1-5b10-7c3a-8e21-4d2f8a4c0e02",
"handle_b": "0192f7a1-5b10-7c3a-8e21-4d2f8a4c0e03",
"method": "same_event",
"confidence": 0.99,
"level_at_capture": "V1",
"origin_event_id": "0192f7a1-6a2b-7d11-9c3e-1a2b3c4d5e05",
"state": "applied",
"actor": null,
"reason": null,
"created_at": "2025-11-03T13:10:00Z",
"retracted_at": null
}
],
"next_cursor": null
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"detail": "<string>",
"request_id": "<string>",
"type": "about:blank"
}Identity and profiles
List assertions
The immutable log that says which handles belong to the same subject, and why.
GET
/
v1
/
identity
/
assertions
List assertions
Authorizations
sourceKeypersonToken
nia_sk_...
Query Parameters
Only the assertions of this profile.
applied, pending (waiting for the merge outside the request) or rejected.
Available options:
applied, pending, rejected Opaque cursor from next_cursor.
Required range:
1 <= x <= 200
